Skip to main content
PATCH
/
contracts
/
{id}
/
schedules
/
{schedule_id}
/
change-source
/
{source_land_description}
Update Source Land Description
curl --request PATCH \
  --url https://v1.api.flux-os.com/contracts/{id}/schedules/{schedule_id}/change-source/{source_land_description} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-user-id: <api-key>' \
  --data '
{
  "source_land_description": "<string>"
}
'
{
  "production_month": "2023-12-25",
  "volume": 123,
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "estimated_qualities": [
    {
      "value": 123,
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "chains": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "legs": [
        {
          "position": 123,
          "chain": "<unknown>",
          "volume": 123,
          "id": "<string>",
          "source_well": {
            "id": "<string>",
            "name": null
          },
          "is_custody_transfer": false,
          "is_chain_source": false,
          "is_chain_destination": false,
          "fob": false,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required
x-user-id
string
header
required

Path Parameters

id
integer
required

The contract ID.

schedule_id
integer
required

The schedule ID.

source_land_description
string
required

The source land description.

Body

application/json
source_land_description
string

Response

Source land description updated for all transport chains in the schedule.

production_month
string<date>
required
volume
number
required
id
string
contract
object
status
object
volume_measurement_unit
object
created_at
string<date-time>
updated_at
string<date-time>
estimated_qualities
object[]
chains
object[]